org.apache.pdfbox.preflight.annotation

## Class FreeTextAnnotationValidator

- java.lang.Object
- - org.apache.pdfbox.preflight.annotation.AnnotationValidator
  - - org.apache.pdfbox.preflight.annotation.FreeTextAnnotationValidator

    public class FreeTextAnnotationValidator
    extends AnnotationValidator

Validation class for the FreeTextAnnotation

### Field Summary

Fields
`protected org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup` `pdFreeText` PDFBox object which wraps the Annotation dictionary

### Fields inherited from class org.apache.pdfbox.preflight.annotation.AnnotationValidator

`annotDictionary, ctx, pdAnnot`

### Constructor Summary

Constructors
Constructor and Description
`FreeTextAnnotationValidator(PreflightContext ctx, org.apache.pdfbox.cos.COSDictionary annotDictionary)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `checkSpecificMandatoryFields()` Override this method to check the presence of specific fields

### Methods inherited from class org.apache.pdfbox.preflight.annotation.AnnotationValidator

`checkActions, checkAP, checkCA, checkColors, checkFlags, checkMandatoryFields, checkPopup, searchRGBProfile, setFactory, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pdFreeText

    protected org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup pdFreeText

PDFBox object which wraps the Annotation dictionary

### Constructor Detail

#### FreeTextAnnotationValidator

    public FreeTextAnnotationValidator(PreflightContext ctx,
                                       org.apache.pdfbox.cos.COSDictionary annotDictionary)

### Method Detail

#### checkSpecificMandatoryFields

    protected boolean checkSpecificMandatoryFields()

Description copied from class: `AnnotationValidator`
Override this method to check the presence of specific fields

Overrides:
  `checkSpecificMandatoryFields` in class `AnnotationValidator`
Returns:
  the presence of specific fields.